#!/bin/sh

HOST=`uname`

if [ $HOST = "Darwin" ]
then
	gcc -O0 -g -DMACOSX v_tga.c draw.c sprite.c tga.c -o v_tga \
	SDL/lib/libSDL.a SDL/lib/libSDLMain.a \
	-framework Cocoa -framework IOKit -framework CoreFoundation \
	-framework OpenGL -framework Quicktime -framework AudioToolbox \
	-framework AudioUnit -framework Carbon
elif [ $HOST = "MINGW32_NT-5.1" ]
then
	gcc -O0 -c draw.c sprite.c tga.c
	gcc -O0 -c `sdl-config --cflags` v_tga.c
	gcc -O0 *.o -o v_tga `sdl-config --libs` -mwindows -mconsole
else
	gcc -O0 -c draw.c sprite.c tga.c
	gcc -O0 -c `sdl-config --cflags` v_tga.c
	gcc -O0 *.o -o v_tga `sdl-config --libs`
fi

